When you/someone says, 'it's playing nicely with Linux 4.15 Kernel' (in Ubuntu?), I am guessing that isn't applicable to using Wayland (for e..g, Ubuntu...